MS08-016: Vulnerabilities in Microsoft Office Could Allow Remote Code Execution (949030)

High Nessus Plugin ID 31415


Arbitrary code can be executed on the remote host through Microsoft Office.


The remote host is running a version of Microsoft Office that is subject to various flaws that could allow arbitrary code to be run.

An attacker may use this to execute arbitrary code on this host.

To succeed, the attacker would have to send a rogue file to a user of the remote computer and have it open it with Microsoft Office.


Microsoft has released a set of patches for Office 2000, XP and 2003.

See Also

Plugin Details

Severity: High

ID: 31415

File Name: smb_nt_ms08-016.nasl

Version: $Revision: 1.43 $

Type: local

Agent: windows

Published: 2008/03/11

Modified: 2017/08/10

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: cpe:/a:microsoft:office, cpe:/a:microsoft:word_viewer, cpe:/a:microsoft:excel_viewer

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/03/11

Vulnerability Publication Date: 2007/05/08

Exploitable With

Core Impact

Reference Information

CVE: CVE-2007-1747, CVE-2008-0113, CVE-2008-0118

BID: 23826, 28146

OSVDB: 34396, 42708, 42709

CERT: 853184

MSFT: MS08-016

MSKB: 947355, 947361, 947866

CWE: 94, 399